<?php	if ( is_active_sidebar( 'footer-widget-area' ) ) {
?>
<div id="footer">
	<div id="footerspan" >
		<div class="container_12">
			<div class="grid_8" >
				<ul class="widget">
					<?php dynamic_sidebar('footer-widget-area');?>
				</ul>
			</div>
			<div class="grid_4" >
				<h3><?php _e('Meta', 'mt-white');?></h3>
				<ul>
					<?php wp_register();?>
					<li>
						<?php wp_loginout();?>
					</li>
					<li>
						<a href="<?php echo esc_url(__('http://wordpress.org/', 'mt-white'));?>" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.', 'mt-white');?>"><abbr title="WordPress">WP</abbr></a>
					</li>
					<li>
						<?php _e('Theme design by', 'mt-white');?> <?php if (is_home()) {
						?><a href="<?php echo esc_url(__('http://blankcanvas.eu', 'mt-white'));?>"> Blank Canvas </a><?php } else {?>
						Blank Canvas <?php }?>
						2008
					</li>
					<?php wp_meta();?>
				</ul>
			</div>
			<div style="clear:both"></div>
		</div>
	</div>
</div>
<?php } else {?>
<ul id="footermenu">
	<?php wp_register();?>
	<li>
		<?php wp_loginout();?>
	</li>
	<li>
		<a href="<?php echo esc_url(__('http://wordpress.org/', 'mt-white'));?>" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.', 'mt-white');?>"><abbr title="WordPress">WP</abbr></a>
	</li>
	<li>
		<?php _e('Theme design by', 'mt-white');?> <?php if (is_home()) {
		?><a href="<?php echo esc_url(__('http://blankcanvas.eu', 'mt-white'));?>"> Blank Canvas </a><?php } else {?>
		Blank Canvas <?php }?>
	</li>
	<?php wp_meta();?>
</ul>
<?php }?>
<?php wp_footer();?>
</body>
</html>