<?php
get_header();
?>
<div id="wrapper" class="container_12">
	<div class=" grid_8 narrowcolumn">
		<?php if (have_posts()) : the_post();
		?>
		<div <?php post_class() ?> >
			<div class="title">
				<h1><span class="error"><?php _e('Error 404 - Not Found', 'mt-white');?></span></h1>
			</div>
			<?php  else:?>
			<div class="title grid_7 tab">
				<h1><?php _e('Error 404 - Not Found', 'mt-white');?></h1>
				<p>
					<?php _e('Sorry, no posts matched your criteria.', 'mt-white');?>
				</p>
			</div>
			<div class="entry">
				<h2><?php _e('Recent Posts', 'mt-white');?></h2>
				<ul>
					<?php query_posts('showposts=5&orderby=date'); while (have_posts()) : the_post();
					?>
					<li>
						<a href="<?php the_permalink();?>" title="<?php echo esc_attr(sprintf(__('Permanent Link to %s', 'mt-white'), the_title_attribute('echo=0')));?>" rel="bookmark"><?php the_title();?></a>
						<p>
							<?php _e('Categories', 'mt-white');?>:
							<?php the_category(',')
							?>
						</p>
					</li>
					<?php endwhile; wp_reset_query();?>
				</ul>
			</div>
			<?php endif;?>
		</div>
		<?php get_sidebar();?>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
	<?php get_footer();?>
