<?php /**
 * Template Name:Template home page - sidebar
 *  */
?>
<?php get_header();?>
<div id="wrapper" class="container_12 front">
	<?php if (have_posts()) : the_post();
	?>
	<div class="grid_8">
		<?php the_title('<h2>', '</h2>');?>
		<?php the_content(__('(more...)', 'mt-white'));?>
	</div>
	<?php  endif; rewind_posts();?>
	<div class="sidebar grid_4">
		<ul class="widget">
			<li>
				<h3 class="widget-title"><?php _e('Categories', 'mt-white');?></h3>
				<ul>
					<?php wp_list_categories('show_count=0&title_li=&depth=0&show_last_update=1&use_desc_for_title=1');?>
				</ul>
			</li>
		</ul>
	</div>
	<div class="clear"></div>
</div>
<div id="blogs">
	<div  class="container_12 front news">
		<h2 class="grid_12"><?php _e('Blog', 'mt-white');?></h2>
		<?php $args_blog = array(
'posts_per_page' => 3,
'post__not_in' => get_option( 'sticky_posts')
);
query_posts($args_blog); while (have_posts()) : the_post();
		?>
		<div class="grid_4">
			<h3><a href="<?php the_permalink();?>" title="<?php echo esc_attr(sprintf(__('Permanent Link to %s', 'mt-white'), the_title_attribute('echo=0')));?>" rel="bookmark"><?php the_title();?></a></h3>
			<?php the_excerpt();?>
		</div>
		<?php  endwhile;?>
		<div class="clear"></div>
	</div>
</div>
<?php get_footer();?>       