<?php /**
 * Template Name: Sitemap Page
 *  */
?>
<?php get_header();?>
<div id="wrapper" class="container_12">
	<?php the_title('<h2 class="grid_12">', '</h2>');?>
	<div class="grid_4" >
		<h2><?php _e('Pages', 'mt-white');?></h2>
		<ul>
			<?php wp_list_pages('sort_column=menu_order&depth=0&title_li=');?>
		</ul>
	</div>
	<div class="grid_3">
		<h2><?php _e('Categories', 'mt-white');?></h2>
		<ul>
			<?php wp_list_categories('depth=0&title_li=&show_count=1');?>
		</ul>
	</div>
	<div class="grid_2">
		<h2><?php _e('Archives', 'mt-white');?></h2>
		<ul>
			<?php wp_get_archives('type=monthly&limit=12');?>
		</ul>
	</div>
	<div class="grid_2">
		<h2><?php _e('Tags', 'mt-white');?></h2>
		<?php wp_tag_cloud('smallest=10&largest=18&number=&order=desc&format=flat');?>
	</div>
</div>
<?php get_footer();?>       